{$A+,B+,D-,E-,F-,I-,L-,N-,O-,R-,S-,V-}
{$M 65520,0,655360}
Program ZapFile;

(* Copyright 1989 Brian Corll *)
(* DOS command line file zapper *)
(* SYNTAX: ZAP filename.dbf *)

Uses Crt,TPDB;
VAR
	Message : String[80];
	Zapper : ^DBF;

BEGIN
	CursorOff;
	IF ParamCount = 0 THEN
	BEGIN
		Beep;
		ClrScr;
		Flash(1,1,LightGreen+BlackBG,'ZAP filename.dbf');
		CursorOn;
		Halt(1);
	END;
	NEW(Zapper,Init(ParamStr(1)));
	IF Zapper^.TotalRecs = 0 THEN
	BEGIN
		ClrScr;
		Beep;
		Message := 'Record count in file '+Upper(ParamStr(1))+' is already ZERO.';
		Flash(1,1,LightGreen+BlackBG,Message);
		CursorOn;
		Halt(1);
	END;
	Zapper^.Zap;
	DISPOSE(Zapper,Done);
	ClrScr;
	FlashC(12,White+BlackBG,'File has been zapped.');
	FlashC(13,LightGreen+BlackBG,'Copyright 1989 Brian Corll');
	CursorOn;
END.
